BLAS/SRC/zdrot.f(3)

NAME
BLAS/SRC/zdrot.f

SYNOPSIS

  Functions/Subroutines
subroutine zdrot (n, zx, incx, zy, incy, c, s)
ZDROT

Function/Subroutine Documentation

  subroutine zdrot (integer n, complex*16, dimension( * ) zx, integer incx, complex*16, dimension( * ) zy, integer incy, double precision c, double precision s)

ZDROT

Purpose:

     Applies a plane rotation, where the cos and sin (c and s) are real
     and the vectors cx and cy are complex.
     jack dongarra, linpack, 3/11/78.

Parameters
    N

              N is INTEGER
               On entry, N specifies the order of the vectors cx and cy.
               N must be at least zero.

    ZX

              ZX is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCX ) ).
               Before entry, the incremented array ZX must contain the n
               element vector cx. On exit, ZX is overwritten by the updated
               vector cx.

    INCX

              INCX is INTEGER
               On entry, INCX specifies the increment for the elements of
               ZX. INCX must not be zero.

    ZY

              ZY is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCY ) ).
               Before entry, the incremented array ZY must contain the n
               element vector cy. On exit, ZY is overwritten by the updated
               vector cy.

    INCY

              INCY is INTEGER
               On entry, INCY specifies the increment for the elements of
               ZY. INCY must not be zero.

    C

              C is DOUBLE PRECISION
               On entry, C specifies the cosine, cos.

    S

              S is DOUBLE PRECISION
               On entry, S specifies the sine, sin.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 97 of file zdrot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.